net.i2p.router.web

## Class StatHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.StatHelper

-     public class StatHelper
      extends HelperBase

  Dump the peer profile data if given a full B64 peer string or prefix.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProfile()` Look up based on a b64 prefix or full b64.
    `void` | `setPeer(String peer)` Caller should strip HTML (XSS)

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_, _, _, _x, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatHelper

          public StatHelper()

  - ### Method Detail

    - #### setPeer

          public void setPeer(String peer)

      Caller should strip HTML (XSS)

    - #### getProfile

          public String getProfile()

      Look up based on a b64 prefix or full b64. Prefix is inefficient.